# Running the Formatter Application

Running the formatter application is as simple as running the org.eclipse.jdt.core.JavaCodeFormatter application from the commandline:

        eclipse -vm <path to virtual machine> -data <workspace> -application org.eclipse.jdt.core.JavaCodeFormatter [ OPTIONS ] <files>

When invoked on MacOS, the paths to point to the configuration file or the source files can be relative, but they will be computed from the location of the eclipse.ini file. This is a limitation of the Eclipse launcher on MacOS. On all other platforms, the relative paths are computed relative to the current user directory.

-data <workspace> | The formatter requires a workspace to run. The workspace folder does not have to exist and can be removed after the formatter is complete. The recommended flow is to specify a unique temporary folder and remove it on completion.
<files> | Java source files and/or directories to format. Only files ending with .java will be formatted in the given directory.

OPTIONS | Description
--- | ---
-config <file> | Use the formatting style from the specified properties file. Refer to Generating a config file for the formatter application for details.
-help | Display the help message.
-quiet | Only print error messages.
-verbose | Be verbose about the formatting job.

### Related references

Code formatter